#ifndef LOTRODATMANAGEROBSERVER_H
#define LOTRODATMANAGEROBSERVER_H

#include <QObject>
#include <QTimer>

#include "models/lotrodatmanager.h"

class LotroDatManagerObserver : public QObject
{
    Q_OBJECT
public:
    explicit LotroDatManagerObserver(LotroDatManager* mgr, QObject *parent = nullptr);
    void startTimer();

signals:
    void statusChanged(LotroDatManager::Status status);

private slots:
    void updateStatus();

private:
    LotroDatManager* lotro_manager_;
    LotroDatManager::Status status_;
    QTimer status_update_timer_;
};

#endif // LOTRODATMANAGEROBSERVER_H
